Bug 964584 - dnf doesn't replace $releasever/$basearch in mirror url
Summary: dnf doesn't replace $releasever/$basearch in mirror url
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: rawhide
Hardware: All Linux
unspecified
medium
Target Milestone: ---
Assignee: Ales Kozumplik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 965131
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-19 03:31 UTC by Loïc Yhuel
Modified: 2014-09-30 23:41 UTC (History)
2 users (show)

Fixed In Version: dnf-0.3.9-1.giteff4c49.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-18 06:08:53 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Loïc Yhuel 2013-05-19 03:31:40 UTC
Description of problem:
dnf seems to replace $releasever/$basearch in mirrorlist url, but not in the mirror url, which is needed for kde-redhat.


Version-Release number of selected component (if applicable):
dnf-0.3.4-1.git03fd687.fc19.noarch

Steps to Reproduce:
1. add http://apt.kde-redhat.org/apt/kde-redhat/fedora/kde.repo in /etc/yum.repos.d
2. dnf update
  
Actual results:
Problem with repo 'kde': Error HTTP/FTP status code: 404, disabling.

Expected results:
repo metadata downloaded

Additional info:
http://apt.kde-redhat.org/apt/kde-redhat/fedora/mirrors-stable contains
http://mirror.unl.edu/kde-redhat/fedora/$releasever/$basearch/stable, which is used directly without replacing $releasever/$basearch, so the servers sends a 404.

Comment 1 Ales Kozumplik 2013-06-24 14:36:38 UTC
Fixed by 10cb4c2.

Comment 2 Fedora Update System 2013-07-08 08:14:56 UTC
dnf-0.3.9-1.giteff4c49.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dnf-0.3.9-1.giteff4c49.fc19

Comment 3 Fedora Update System 2013-07-09 01:28:21 UTC
Package dnf-0.3.9-1.giteff4c49.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.3.9-1.giteff4c49.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12578/dnf-0.3.9-1.giteff4c49.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-07-18 06:08:53 UTC
dnf-0.3.9-1.giteff4c49.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.